Clinia
MDMCollections

Create a collection in the MDM

PUT
/mdm/v1/collections/{collectionKey}

Create a collection in the MDM.

X-Clinia-API-Key<token>

In: header

Path Parameters

collectionKey*string

Key of the collection it must follow pattern: ^[a-zA-Z0-9-][\w-]{0,61}$.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/mdm/v1/collections/string" \  -H "Content-Type: application/json" \  -d '{    "profile": {      "sourceProfiles": [        {          "source": "string",          "type": "string"        }      ]    }  }'
{  "key": "string",  "profile": {    "sourceProfiles": [      {        "source": "string",        "type": "string"      }    ]  },  "resolutionRule": {    "resolvers": {      "property1": {        "outcome": "MATCH_TYPE_NO_MATCH",        "filter": {          "id": "string",          "composite": {            "property1": [              {                "id": "string",                "and": [                  null                ]              }            ],            "property2": [              {                "id": "string",                "and": [                  null                ]              }            ]          }        }      },      "property2": {        "outcome": "MATCH_TYPE_NO_MATCH",        "filter": {          "id": "string",          "composite": {            "property1": [              {                "id": "string",                "and": [                  null                ]              }            ],            "property2": [              {                "id": "string",                "and": [                  null                ]              }            ]          }        }      }    },    "properties": {      "property1": {        "type": "address",        "readOnly": false,        "description": "string",        "rules": [          {            "required": true,            "pattern": "string",            "enum": [              "string"            ],            "min": 0,            "max": 0,            "when": {              "id": "string",              "and": [                null              ]            }          }        ],        "binding": {          "vocabulary": {            "key": "string",            "strength": "required"          }        },        "modelId": "string",        "enrichedProperties": {},        "properties": {          "property1": {            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "properties": {              "property1": {},              "property2": {}            },            "items": {},            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            }          },          "property2": {            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "properties": {              "property1": {},              "property2": {}            },            "items": {},            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            }          }        }      },      "property2": {        "type": "address",        "readOnly": false,        "description": "string",        "rules": [          {            "required": true,            "pattern": "string",            "enum": [              "string"            ],            "min": 0,            "max": 0,            "when": {              "id": "string",              "and": [                null              ]            }          }        ],        "binding": {          "vocabulary": {            "key": "string",            "strength": "required"          }        },        "modelId": "string",        "enrichedProperties": {},        "properties": {          "property1": {            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "properties": {              "property1": {},              "property2": {}            },            "items": {},            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            }          },          "property2": {            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "properties": {              "property1": {},              "property2": {}            },            "items": {},            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            }          }        }      }    },    "mappings": [      {        "source": "string",        "type": "string",        "paths": {          "property1": "string",          "property2": "string"        }      }    ]  }}